org.springframework.web.portlet.handler

## Interface AbstractMapBasedHandlerMapping.PortletRequestMappingPredicate

- All Superinterfaces:
    Comparable
  Enclosing class:
    AbstractMapBasedHandlerMapping<K>

      protected static interface AbstractMapBasedHandlerMapping.PortletRequestMappingPredicate
      extends Comparable

  Predicate interface for determining a match with a given request.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `match(PortletRequest request)` Determine whether the given request matches this predicate.
    `void` | `validate(PortletRequest request)` Validate this predicate's mapping against the current request.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### match

          boolean match(PortletRequest request)

      Determine whether the given request matches this predicate.
      Parameters:
        `request` - current portlet request

    - #### validate

          void validate(PortletRequest request)
                        throws PortletException

      Validate this predicate's mapping against the current request.
      Parameters:
        `request` - current portlet request
      Throws:
        `PortletException` - if validation failed